Bug 99460 - print/cups: CUPS 1.2.0_x: Unable to open USB device "usb:/dev/ulpt0": Permission denied
Summary: print/cups: CUPS 1.2.0_x: Unable to open USB device "usb:/dev/ulpt0": Permiss...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-25 19:10 UTC by Nicolas Blais
Modified: 2006-08-06 10:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Blais 2006-06-25 19:10:17 UTC
Since the update from CUPS 1.1.23_9 to 1.2.0_2, my printer stopped working. 

The following error is mentionned on the "Printers" page on the web administration page :
"Unable to open USB device "usb:/dev/ulpt0": Permission denied"

Restarting the printer (both physically and from the driver) has no effects.

Changing the printer driver (from a Generic PCL 5e Printer Foomatic/ljet4 to a Lexmark Optra E321 Foomatic/ljet4) has no effects.

This problem could be platform independant (see http://www.fedoraforum.org/forum/showthread.php?t=109680).

Printer is a Lexmark E232 (worked 100% with Cups 1.1.23_9 and previous versions).

Fix: 

Suggest a move back to CUPS 1.1.23_9.
Comment 1 Scott Robbins 2006-06-25 20:57:28 UTC
I had the same experience with a parallel port.  I didn't have time to
deeply investigate, but I did find that it seems as if both the parallel
and USB device options are not offered when using the web interface.
Using lpadmin to delete and re-add the printer also failed, still giving
me the access denied error (to /dev/lpt0).

Just for fun, I tried changing permissions on lpt0, and although that
ended the access denied error message, I still had no success in
printing.  The error log simply showed the job had been started. 

As said, I didn't have time to troubleshoot, so didn't change debug
levels, etc.  I simply downgraded to 1.1.23x and it worked again.  

FWIW, in ArchLinux, they did have the parallel device offered as an
option in the web interface, however, I didn't see a USB option. 


-- 

Scott Robbins

PGP keyID EB3467D6
( 1B48 077D 66F6 9DB0 FDC2 A409 FA54 EB34 67D6 )
gpg --keyserver pgp.mit.edu --recv-keys EB3467D6
Comment 2 Micah 2006-06-26 02:10:08 UTC
Changing ownership on /dev/ulptx to root:cups and changing permissions 
to 0660 fixed it for me. Adding the following lines to /etc/devfs.rules 
made the changes permanent:

[system=10]
add path 'unlpt*' mode 0660 group cups
add path 'ulpt*' mode 0660 group cups

- Micah
Comment 3 Nicolas Blais 2006-06-26 02:13:25 UTC
On Sunday 25 June 2006 21:10, Micah wrote:
> Changing ownership on /dev/ulptx to root:cups and changing permissions
> to 0660 fixed it for me. Adding the following lines to /etc/devfs.rules
> made the changes permanent:
>
> [system=10]
> add path 'unlpt*' mode 0660 group cups
> add path 'ulpt*' mode 0660 group cups
>
> - Micah

Tested and I now have access to my printer, but now it prints funny. I'll look 
into it. Your fix should be included in /usr/ports/UPDATING.

Thanks!
-- 
FreeBSD 7.0-CURRENT #4: Sun Jun 25 12:13:31 EDT 2006     
root@clk01a:/usr/obj/usr/src/sys/CLK01A 
PGP? : http://www.clkroot.net/security/nb_root.asc
Comment 4 Scott Robbins 2006-06-26 08:49:00 UTC
Thank you Micah.  Your solution seems to have solved the problem for 
me with lpt0 as well. 


-- 

Scott Robbins

PGP keyID EB3467D6
( 1B48 077D 66F6 9DB0 FDC2 A409 FA54 EB34 67D6 )
gpg --keyserver pgp.mit.edu --recv-keys EB3467D6
Comment 5 Edwin Groothuis freebsd_committer 2006-06-26 14:15:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-27 11:18:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I did some cups* commits recently.
Comment 7 Nicolas Blais 2006-06-30 00:18:58 UTC
Here's a hack Jan-Espen Pettersen (sigsegv@radiotube.org) posted on 
FreeBSD-Questions which solved the problem:

---- START
I found that the usb backend stalled here before actually doing any
work. Before I've done any actual debugging of the backend, I suspect
that it is being blocked on a status read attempt, though this is only
my current guess.

Here is a workaround:

In printers.conf () you will probably find a line like this:

DeviceURI usb:/dev/ulpt0

change usb: to file:, so that it looks something like this:

DeviceURI file:/dev/ulpt0

Then restart cups. Cups will not read any status information from the
printer, but at least it can print. Be warned about unknown side effects. :)
---- END

Nicolas
-- 
FreeBSD 7.0-CURRENT #4: Sun Jun 25 12:13:31 EDT 2006     
root@clk01a:/usr/obj/usr/src/sys/CLK01A 
PGP? : http://www.clkroot.net/security/nb_root.asc
Comment 8 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-07 21:27:21 UTC
State Changed
From-To: feedback->patched

Should be fixed by patch in ports/99624
Comment 9 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-06 10:16:20 UTC
State Changed
From-To: patched->closed

Update to 1.2.2 and many fixes commiter. If problems perssist please 
open a new PR. Thanks for your effort.